Skip to main content
GET
/
v1
/
ip
/
collections
Get All Collections
curl --request GET \
  --url https://staging.crossmint.com/api/v1/ip/collections \
  --header 'X-API-KEY: <x-api-key>'
import requests

url = "https://staging.crossmint.com/api/v1/ip/collections"

headers = {"X-API-KEY": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};

fetch('https://staging.crossmint.com/api/v1/ip/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
  "actionId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
  "metadata": {
    "name": "My Collection",
    "symbol": "MYCOL",
    "description": "My Collection Description",
    "image": "https://example.com/image.png"
  },
  "onChain": {
    "chain": "story-testnet",
    "contractAddress": "0x123"
  }
}
This API is still under development. Contact support for early access.

Headers

X-API-KEY
string
required

API key required for authentication

Query Parameters

page
string
Pattern: ^[1-9]\d*$
perPage
string
Pattern: ^[1-9]\d*$

Response

200 - application/json

Collections found

id
string
required

The id of the collection

Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

actionId
string
required

The action id of the collection

Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

metadata
object
required

Story Protocol collection metadata response

Example:
{
"name": "My Collection",
"symbol": "MYCOL",
"description": "My Collection Description",
"image": "https://example.com/image.png"
}
onChain
object
required
Example:
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"actionId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"metadata": {
"name": "My Collection",
"symbol": "MYCOL",
"description": "My Collection Description",
"image": "https://example.com/image.png"
},
"onChain": {
"chain": "story-testnet",
"contractAddress": "0x123"
}
}